<?php

/*** Contrôleur du site des couleurs. ***/

/* Inclusion des classes nécessaires */
require_once("model/Color.php");
require_once("model/ColorStorage.php");
require_once("view/MainView.php");


class Controller {

	protected $v;
	protected $colordb;

	public function __construct(MainView $view, ColorStorage $colordb) {
		$this->v = $view;
		$this->colordb = $colordb;
	}

	public function colorPage($id) {
		/* Une couleur est demandée, on la récupère en BD */
		$color = $this->colordb->read($id);
		if ($color === null) {
			/* La couleur n'existe pas en BD */
			$this->v->makeUnknownColorPage();
		} else {
			/* La couleur existe, on prépare la page */
			$this->v->makeColorPage($id, $color);
		}
	}

	public function allColorsPage() {
		$colors = $this->colordb->readAll();
		$this->v->makeGalleryPage($colors);
	}

}

?>
